/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package com.rjconsultores.ventaboletos.service.impl;

import com.rjconsultores.ventaboletos.dao.ProdMercadoDAO;
import com.rjconsultores.ventaboletos.entidad.ProdMercado;
import com.rjconsultores.ventaboletos.service.ProdMercadoService;
import com.rjconsultores.ventaboletos.utilerias.UsuarioLogado;

import java.util.Calendar;
import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

/**
 *
 * @author Rafius
 */
@Service("prodMercadoService")
public class ProdMercadoServiceImpl implements ProdMercadoService {

    @Autowired
    private ProdMercadoDAO prodMercadoDAO;

    public List<ProdMercado> obtenerTodos() {
        return prodMercadoDAO.obtenerTodos();
    }

    public ProdMercado obtenerID(Integer id) {
        return prodMercadoDAO.obtenerID(id);
    }

    @Transactional
    public ProdMercado suscribir(ProdMercado entidad) {
        entidad.setUsuarioId(UsuarioLogado.getUsuarioLogado().getUsuarioId());
        entidad.setFecmodif(Calendar.getInstance().getTime());
        entidad.setActivo(Boolean.TRUE);

        return prodMercadoDAO.suscribir(entidad);
    }

    @Transactional
    public ProdMercado actualizacion(ProdMercado entidad) {
        entidad.setUsuarioId(UsuarioLogado.getUsuarioLogado().getUsuarioId());
        entidad.setFecmodif(Calendar.getInstance().getTime());
        entidad.setActivo(Boolean.TRUE);

        return prodMercadoDAO.actualizacion(entidad);
    }

    @Transactional
    public void borrar(ProdMercado entidad) {
        entidad.setUsuarioId(UsuarioLogado.getUsuarioLogado().getUsuarioId());
        entidad.setFecmodif(Calendar.getInstance().getTime());
        entidad.setActivo(Boolean.FALSE);

        prodMercadoDAO.actualizacion(entidad);
    }
}
